package com.entity;

import java.sql.Date;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * Bean for sprint.
 *
 * @author Laurentiu Marcut
 */
public class Sprint {

    private int id;
    private String project;
    private Date startDate;
    private Date endDate;
    private String createdBy;
    private int totalCapacity;
    private int members;
    private String state;
    private List<Task> tasks;
    private int notStartedTasks;
    private int inProgressTasks;
    private int doneTasks;
    private int bloquedTasks;
    private Statistic statistic;

    /**
     * Constructor.
     */
    public Sprint() {
        this.tasks = new ArrayList<>();
    }

    /**
     *
     * Getter id.
     *
     * @return id
     */
    public int getId() {
        return id;
    }

    /**
     *
     * Setter id.
     *
     * @param id
     */
    public void setId(int id) {
        this.id = id;
    }

    /**
     *
     * Getter project.
     *
     * @return project
     */
    public String getProject() {
        return project;
    }

    /**
     *
     * Setter project.
     *
     * @param project
     */
    public void setProject(String project) {
        this.project = project;
    }

    /**
     *
     * Getter start date.
     *
     * @return start date
     */
    public Date getStartDate() {
        return startDate;
    }

    /**
     *
     * Setter start date.
     *
     * @param startDate
     */
    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    /**
     *
     * Getter end date.
     *
     * @return end date
     */
    public Date getEndDate() {
        return endDate;
    }

    /**
     *
     * Setter end date.
     *
     * @param endDate
     */
    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    /**
     *
     * Getter created by.
     *
     * @return created by
     */
    public String getCreatedBy() {
        return createdBy;
    }

    /**
     *
     * Setter created by.
     *
     * @param createdBy
     */
    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    /**
     *
     * Getter total capacity.
     *
     * @return total capacity
     */
    public int getTotalCapacity() {
        return totalCapacity;
    }

    /**
     *
     * Setter total capacity.
     *
     * @param totalCapacity
     */
    public void setTotalCapacity(int totalCapacity) {
        this.totalCapacity = totalCapacity;
    }

    /**
     *
     * Getter member.
     *
     * @return member
     */
    public int getMembers() {
        return members;
    }

    /**
     *
     * Setter member.
     *
     * @param members
     */
    public void setMembers(int members) {
        this.members = members;
    }

    /**
     *
     * Getter state.
     *
     * @return state
     */
    public String getState() {
        return state;
    }

    /**
     *
     * Setter state.
     *
     * @param state
     */
    public void setState(String state) {
        this.state = state;
    }

    /**
     *
     * Getter task.
     *
     * @return task
     */
    public List<Task> getTasks() {
        return tasks;
    }

    /**
     *
     * Setter task.
     *
     * @param tasks
     */
    public void setTasks(List<Task> tasks) {
        this.tasks = tasks;
    }

    /**
     *
     * Getter not started tasks.
     *
     * @return not started tasks.
     */
    public int getNotStartedTasks() {
        return notStartedTasks;
    }

    /**
     *
     * Setter not started tasks.
     *
     * @param notStartedTasks
     */
    public void setNotStartedTasks(int notStartedTasks) {
        this.notStartedTasks = notStartedTasks;
    }

    /**
     *
     * Getter in progress tasks.
     *
     * @return in progress tasks
     */
    public int getInProgressTasks() {
        return inProgressTasks;
    }

    /**
     *
     * Setter in progress tasks.
     *
     * @param inProgressTasks
     */
    public void setInProgressTasks(int inProgressTasks) {
        this.inProgressTasks = inProgressTasks;
    }

    /**
     *
     * Getter done tasks.
     *
     * @return done tasks
     */
    public int getDoneTasks() {
        return doneTasks;
    }

    /**
     *
     * Setter done tasks.
     *
     * @param doneTasks
     */
    public void setDoneTasks(int doneTasks) {
        this.doneTasks = doneTasks;
    }

    /**
     *
     * Getter statistic.
     *
     * @return statistic
     */
    public Statistic getStatistic() {
        return statistic;
    }

    /**
     *
     * Setter statistic.
     *
     * @param statistic
     */
    public void setStatistic(Statistic statistic) {
        this.statistic = statistic;
    }

    /**
     *
     * Getter bloqued tasks.
     *
     * @return bloqued tasks
     */
    public int getBloquedTasks() {
        return bloquedTasks;
    }

    /**
     *
     * Setter bloqued tasks.
     *
     * @param bloquedTasks
     */
    public void setBloquedTasks(int bloquedTasks) {
        this.bloquedTasks = bloquedTasks;
    }
}
